/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.builder;

import java.beans.PropertyChangeListener;
import tp.model.DocumentsDatabase;
import tp.model.DocsRepresentDB;

/**
 * Interface for all representation builders
 * @author ondra
 */
public interface BuilderInterface {
    public DocsRepresentDB buildRepresentation(DocumentsDatabase database);
    public DocsRepresentDB buildRepresentation(DocumentsDatabase database, int depth);
    public void addPropertyChangeListener(PropertyChangeListener listener);
    public void setMinNGramOccur(int min_ngram_occur);
}
