/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.model;

/**
 * Class, which is representing content of one document.
 * @author Ondrej Sabatka
 */

public class Document {

    //Variables
    private String topic;
    private String content;
    private int id;


    /**
     * Constructor of the class.
     */
    public Document(String content, String topic) {
        this.content = content;
        this.topic = topic;
    }


    /**
     * Returns the tex contents of the document.
     * @return a string with document contents.
     */
    public String getContentDocument() {
        return content;
    }


    /**
     * Sets a document identifier.
     * @param id a new identifier
     */
    public void setID(int id) {
        this.id = id;
    }


    /**
     * Gets a document identifier.
     * @return a document identifier
     */
    public int getID() {
        return this.id;
    }

    /**
     * Gets a document class.
     * @return a document class in a string
     */
    public String getTopic() {
        return topic;
    }


}
