/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.model;

/**
 * Class representing a feature and its frequency in binary model.
 * @author Ondrej Sabatka
 */

public class FeatureBinary implements FeatureInterface {

    //Variables
    private String feature;

    public static final int PRESENCE = 1;


    /**
     * Constructor of the class
     * @param feature a feature (word)
     */
    public FeatureBinary(String feature) {
        this.feature = feature;
    }

    //**************************************************************//
    //                      GETTERS AND SETTERS                     //
    //**************************************************************//
    /**
     * Gets a word, which is represented by this feature.
     * @return a feature (word)
     */
    public String getFeature() {
        return feature;
    }

    /**
     * Sets a word, which is represented by this feature.
     * @param feature a feature (word)
     */
    public void setFeature(String feature) {
        this.feature = feature;
    }

    /**
     * Gets a binary frequency of this feature.
     * @return value of frequency (0 or 1)
     */
    public int getRate() {
        return PRESENCE;
    }

    /**
     * Sets a binary frequency of this feature.
     * @param rate value of frequency (0 or 1)
     */
    public void setRate(int rate) {
        
    }

}
