/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.store;

import java.beans.PropertyChangeListener;
import java.io.File;
import java.util.ArrayList;
import tp.model.DocsRepresentDB;

/**
 * Interface for saving pre-processed documents into files (in various formats).
 * @author Ondrej Sabatka
 */
public interface StoreInterface {
    public void writeDocRepresentation(
            File file,
            ArrayList<DocsRepresentDB.FeatureDF> features_array,
            DocsRepresentDB representation_database,
            boolean write_topic);
    public void addPropertyChangeListener(PropertyChangeListener listener);
}
