/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.view;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import javax.swing.JProgressBar;

/**
 * Class, which is diplaying the progress bar of the application.
 * @author Ondrej Sabatka
 */

public class ProgressView extends JProgressBar implements PropertyChangeListener {

    //Variable
    String msg;

    /**
     * Constructor of the class.
     */
    public ProgressView() {
        //allows to display percent information
        msg = new String(" ");
        setString(msg);
        setStringPainted(true);
        setMinimum(0);
        setMaximum(100);
    }


    /**
     * Initialization of the progress bar
     * @param msg message, which is displayed on the progress bar
     */
    public void start(String msg) {
        this.msg = msg;
        showMsg();
    }

    
    /**
     * Resets the progress bar
     */
    public void stop() {
        setValue(0);
        msg = new String("");
        setString(msg);
    }


    /**
     * Sets the percentage on the progress bar to a given value.
     * @param pce percentage value
     */
    public void propertyChange(PropertyChangeEvent evt) {
        if ("progress".equals(evt.getPropertyName())) {
            int progress = (Integer) evt.getNewValue();
            setValue(progress);
            showMsg();
        }
    }

    /**
     * Displays the message, which was set by initialization, on a progress bar. 
     */
    private void showMsg() {
        setString("[" + msg + "] - " + getValue() + "%");
    }

}
